#ifndef INC_GTPICTURE_H
#define INC_GTPICTURE_H

#include "gtwidget.h"
#include "gtpixmap.h"
#include "gtimage.h"

/************************************************************************\
*
* GtPicture class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/


class GtPicture : public GtWidget
{
public:
		/* Standard */
	GtPicture(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtPicture"); }
	sbool IsSubClassOf(char *cn);
		/* Window management */
	void Refresh(void);
	void Refresh(int xp,int yp,int xs,int ys);
		/* Values */
	void SetEMask(ulong em);
protected:
		/* Internal methods */
	sbool Draw(XEvent *xe);
private:
	void ReDraw(int xp,int yp,int xs,int ys);
protected:
		/* Instance variables */
	union
	{
		GtPixmap *pix;
		GtImage *im;
	} pd;
	word pw,ph;
	ubyte ptype;
	sbool autoref;
};

extern GtPicture *GtMkPicture(char *n,GtManager *p,GtTag *tgs);
extern GtPicture *GtMkPicture(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTPICTURE_H */
